Bug 116487 - Can't add a new vendor from the new bill dialog
Summary: Can't add a new vendor from the new bill dialog
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gnucash   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-21 18:02 UTC by ajs
Modified: 2014-03-17 02:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-30 20:13:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ajs 2004-02-21 18:02:26 UTC
Description of problem:
After having created a new set of accounts, I can not add a new vendor
from the new bill dialog.


Version-Release number of selected component (if applicable):
gnucash-1.8.8-2

How reproducible:
Always

Steps to Reproduce:
1. Create a new set of business accounts
2. From the menu, select Business->Vendors->New Bill
3. Press the 'Select...' button to select the vendor
4. There are no vendors yet, so press 'New Vendor'
5. Fill in the name and address, then press 'OK'
6. The list box now shows up in the dialog
7. Try to search for the vendor
  
Actual results:
guile crashes and GnuCash prints the messages (when started from a
console)
 
 
** CRITICAL **: file QueryObject.c: line 99
(gncQueryObjectGetParameterGetter): assertion `obj_name' failed.
 
** CRITICAL **: file QueryNew.c: line 637 (gncQueryRun): assertion
`q->search_for' failed.


Expected results:
find the vendor

Additional info:
When I create the first vendor by selecting Business->New Vendor
from the menu before entering a new bill, everything works.  I can
search for vendors and create new ones.

Comment 1 ajs 2004-04-30 14:59:08 UTC
I just confirmed that this still happens with FC2 test 3

Comment 2 Bill Nottingham 2004-04-30 20:13:26 UTC
Filed upstream at:

http://bugzilla.gnome.org/show_bug.cgi?id=141526

Comment 3 Bill Nottingham 2004-12-06 19:56:23 UTC
Upstream says:

Fixed in CVS (head and 1.8) -- will be fixed in 1.8.10.

Thanks for the report.



Note You need to log in before you can comment on or make changes to this bug.